Debian Bug report logs - #639871
transition: gssdp/gupnp

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Andreas Henriksson <andreas@fatal.se>

Date: Wed, 31 Aug 2011 08:03:01 UTC

Owned by: Niels Thykier <niels@thykier.net>

Severity: normal

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639871; Package release.debian.org. (Wed, 31 Aug 2011 08:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 31 Aug 2011 08:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: gssdp/gupnp
Date: Wed, 31 Aug 2011 10:02:01 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

The GUPnP stack has been released in a new major upstream versions and
the two base components (gssdp & gupnp) have bumped their sonames
"now that we're breaking API/ABI"[1][2].

The new stack has been uploaded to experimental, with gssdp and gupnp
currently stuck in NEW.

I've compared the dpkg-gensymbols generated symbols files and no symbols
are missing in the new library version. I see some changes related to
improving the situation for bindings, so I guess some data structures
might have changed that broke the ABI.

I don't see any reasons why reverse dependencies should have any problems
building against the new versions, but I've only tested a few random ones
(like gupnp-igd, bickley, ...).
One exception is rygel, which has (too) strict configure checks and will need
a sourceful upload, but I'll handle that being the maintainer for it as well.


[1] http://git.gnome.org/browse/gssdp/commit/?id=e937ef0b688b4764a4db7d23f8cd3ff7fb72affb
[2] http://git.gnome.org/browse/gupnp/commit/?id=71a93a7b116ed0bef725a88cedc3bb1414cb1d5a


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (300, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639871; Package release.debian.org. (Thu, 06 Oct 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 15:51:12 GMT) Full text and rfc822 format available.

Message #10 received at 639871@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 639871@bugs.debian.org
Subject: gupnp stack reverse build dependencies
Date: Thu, 6 Oct 2011 17:49:02 +0200
for reference:

$ for pkg in  lib{gssdp,gupnp,gupnp-av,gupnp-dlna}-1.0-dev ; do grep-dctrl -sPackage -i -r -F Build-Depends,Build-Depends-Indep "\b$pkg\b" /var/lib/apt/lists/*_Sources ; done | awk '{ print $2 }' | sort -u
amsn
bickley
bognor-regis
enna
grilo-plugins
gupnp
gupnp-av
gupnp-igd
gupnp-tools
gupnp-vala
nautilus-sendto
rygel
upnp-router-control

Of these gupnp, gupnp-av, gupnp-vala and rygel will get sourceful uploads.
The rest should hopefully just need a binNMU.


-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639871; Package release.debian.org. (Tue, 06 Dec 2011 12:37:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Dec 2011 12:37:52 GMT) Full text and rfc822 format available.

Message #15 received at 639871@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 639871@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>
Subject: gupnp transition also needs to include newer gupnp-igd
Date: Tue, 6 Dec 2011 13:35:47 +0100
Hello!

It's become apparent that gupnp-igd 0.1.x (current version in debian)
breaks with gupnp 0.18.x.
The fix is released as gupnp-igd 0.2.x which also bumps soname.


$ grep-dctrl -sPackage -i -r -F Build-Depends,Build-Depends-Indep "\blibgupnp-igd-1.0-dev\b" /var/lib/apt/lists/*_Sources | sort -u
Package: amsn
Package: farsight2
Package: libnice
Package: sushi

I've spoken to bigon about updating it (in experimental for now)...

Someone please update the transition tracker!
(And could we start the transition soon? Please? Pretty Please?)

-- 
Andreas Henriksson




Owner recorded as Niels Thykier <niels@thykier.net>. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 15 Dec 2011 23:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639871; Package release.debian.org. (Fri, 16 Dec 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 16 Dec 2011 09:27:04 GMT) Full text and rfc822 format available.

Message #22 received at 639871@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Andreas Henriksson <andreas@fatal.se>, 639871@bugs.debian.org, Laurent Bigonville <bigon@debian.org>
Subject: Re: Bug#639871: gupnp transition also needs to include newer gupnp-igd
Date: Fri, 16 Dec 2011 10:24:39 +0100
On 2011-12-06 13:35, Andreas Henriksson wrote:
> Hello!
> 
> It's become apparent that gupnp-igd 0.1.x (current version in debian)
> breaks with gupnp 0.18.x.
> The fix is released as gupnp-igd 0.2.x which also bumps soname.
> 
> 
> $ grep-dctrl -sPackage -i -r -F Build-Depends,Build-Depends-Indep "\blibgupnp-igd-1.0-dev\b" /var/lib/apt/lists/*_Sources | sort -u
> Package: amsn
> Package: farsight2
> Package: libnice
> Package: sushi
> 
> I've spoken to bigon about updating it (in experimental for now)...
> 
> Someone please update the transition tracker!
> (And could we start the transition soon? Please? Pretty Please?)
> 


Hi,

Sorry for the late reply from our end.  By the looks of it we are almost
ready to start this.  :)

So far we have recorded the following SONAME/package name changes:

 libgssdp-1.0-2      =>  libgssdp-1.0-3
 libgupnp-1.0-3      =>  libgupnp-1.0-4
 libgupnp-igd-1.0-3  =>  libgupnp-igd-1.0-4


And new one all appear to be ready in experimental already.  However, in
the previous email, the following -dev packages were also mentioned:

 - libgupnp-av-1.0-dev
   - Has a new version in experimental, but no SONAME change?

 - libgupnp-dlna-1.0-dev
   - Nothing new in experimental

So, will there be a sourceful upload of gupnp-av and gupnp-dlna bumping
their SONAME?

If not, I believe the tracker is curently up to date[1] and we should be
ready to start.

~Niels

[1] http://release.debian.org/transitions/html/gssdp_gupnp.html





Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Fri, 16 Dec 2011 13:24:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#639871; Package release.debian.org. (Fri, 16 Dec 2011 15:43:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 16 Dec 2011 15:43:09 GMT) Full text and rfc822 format available.

Message #29 received at 639871@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Niels Thykier <niels@thykier.net>
Cc: 639871@bugs.debian.org, Laurent Bigonville <bigon@debian.org>
Subject: Re: Bug#639871: gupnp transition also needs to include newer gupnp-igd
Date: Fri, 16 Dec 2011 16:12:37 +0100
Hello!

On Fri, Dec 16, 2011 at 10:24:39AM +0100, Niels Thykier wrote:
[...]
> So far we have recorded the following SONAME/package name changes:
> 
>  libgssdp-1.0-2      =>  libgssdp-1.0-3
>  libgupnp-1.0-3      =>  libgupnp-1.0-4
>  libgupnp-igd-1.0-3  =>  libgupnp-igd-1.0-4
> 
> 
> And new one all appear to be ready in experimental already.  However, in
> the previous email, the following -dev packages were also mentioned:
> 
>  - libgupnp-av-1.0-dev
>    - Has a new version in experimental, but no SONAME change?

yes

> 
>  - libgupnp-dlna-1.0-dev
>    - Nothing new in experimental

build-dependencies already satisfied in unstable.

> 
> So, will there be a sourceful upload of gupnp-av and gupnp-dlna bumping
> their SONAME?

no

> 
> If not, I believe the tracker is curently up to date[1] and we should be
> ready to start.


Uploaded: gssdp, gupnp, gupnp-av, gupnp-vala, rygel ... 
(and gupnp-tools as a bonus while at it. new upstream release + IMHO no need
to hold back gtk2 -> gtk3 switch anymore, so to unstable it went.)

Still pending: gupnp-igd

bigon didn't feel confortable enough with the testing of the new version yet.

Please do *not* binNMU gupnp-igd even if it might seem possible by looking
at dependencies, since runtime breakage has been mentioned by upstream....

Other binNMUs should be able to start as soon as the buildds have caught up
with what was just uploaded....

-- 
Andreas Henriksson




Added blocking bug(s) of 639871: 593023 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 20 Dec 2011 09:51:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 639871: 652783 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 21 Dec 2011 09:49:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 639871: 653131 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 24 Dec 2011 23:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639871; Package release.debian.org. (Wed, 11 Jan 2012 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Jan 2012 10:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 639871@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Andreas Henriksson <andreas@fatal.se>, 639871@bugs.debian.org
Subject: Re: Bug#639871: transition: gssdp/gupnp
Date: Wed, 11 Jan 2012 10:59:26 +0100
On 2011-08-31 10:02, Andreas Henriksson wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
>[...]

Done. :)

~Niels







Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 11 Jan 2012 10:09:15 GMT) Full text and rfc822 format available.

Notification sent to Andreas Henriksson <andreas@fatal.se>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 10:09:19 GMT) Full text and rfc822 format available.

Message #45 received at 639871-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 639871-done@bugs.debian.org
Subject: Re: Bug#639871: transition: gssdp/gupnp
Date: Wed, 11 Jan 2012 11:04:56 +0100
On 2012-01-11 10:59, Niels Thykier wrote:
> On 2011-08-31 10:02, Andreas Henriksson wrote:
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> [...]
> 
> Done. :)
> 
> ~Niels
> 
> 

It helps to add that to the "To:" line as well.

~Niels






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Feb 2012 07:39:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:14:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.